Open CASCADE Technology  7.5.0
All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Static Public Member Functions
Prs3d Class Reference

The Prs3d package provides the following services. More...

#include <Prs3d.hxx>

Static Public Member Functions

static Standard_Boolean MatchSegment (const Standard_Real X, const Standard_Real Y, const Standard_Real Z, const Standard_Real aDistance, const gp_Pnt &p1, const gp_Pnt &p2, Standard_Real &dist)
 draws an arrow at a given location, with respect to a given direction. More...
 
static Standard_Real GetDeflection (const Graphic3d_Vec3d &theBndMin, const Graphic3d_Vec3d &theBndMax, const Standard_Real theDeviationCoefficient)
 Computes the absolute deflection value based on relative deflection Prs3d_Drawer::DeviationCoefficient(). More...
 
static Standard_Real GetDeflection (const Bnd_Box &theBndBox, const Standard_Real theDeviationCoefficient, const Standard_Real theMaximalChordialDeviation)
 Computes the absolute deflection value based on relative deflection Prs3d_Drawer::DeviationCoefficient(). More...
 
static Handle< Graphic3d_ArrayOfPrimitivesPrimitivesFromPolylines (const Prs3d_NListOfSequenceOfPnt &thePoints)
 Assembles array of primitives for sequence of polylines. More...
 
static void AddPrimitivesGroup (const Handle< Prs3d_Presentation > &thePrs, const Handle< Prs3d_LineAspect > &theAspect, Prs3d_NListOfSequenceOfPnt &thePolylines)
 Add primitives into new group in presentation and clear the list of polylines. More...
 
static void AddFreeEdges (TColgp_SequenceOfPnt &theSegments, const Handle< Poly_Triangulation > &thePolyTri, const gp_Trsf &theLocation)
 Add triangulation free edges into sequence of line segments. More...
 

Detailed Description

The Prs3d package provides the following services.

Member Function Documentation

◆ AddFreeEdges()

static void Prs3d::AddFreeEdges ( TColgp_SequenceOfPnt theSegments,
const Handle< Poly_Triangulation > &  thePolyTri,
const gp_Trsf theLocation 
)
static

Add triangulation free edges into sequence of line segments.

Parameters
theSegments[out] sequence of line segments to fill
thePolyTri[in] triangulation to process
theLocation[in] transformation to apply

◆ AddPrimitivesGroup()

static void Prs3d::AddPrimitivesGroup ( const Handle< Prs3d_Presentation > &  thePrs,
const Handle< Prs3d_LineAspect > &  theAspect,
Prs3d_NListOfSequenceOfPnt thePolylines 
)
static

Add primitives into new group in presentation and clear the list of polylines.

◆ GetDeflection() [1/2]

static Standard_Real Prs3d::GetDeflection ( const Graphic3d_Vec3d theBndMin,
const Graphic3d_Vec3d theBndMax,
const Standard_Real  theDeviationCoefficient 
)
inlinestatic

Computes the absolute deflection value based on relative deflection Prs3d_Drawer::DeviationCoefficient().

Parameters
theBndMin[in] bounding box min corner
theBndMax[in] bounding box max corner
theDeviationCoefficient[in] relative deflection coefficient from Prs3d_Drawer::DeviationCoefficient()
Returns
absolute deflection coefficient based on bounding box dimensions

◆ GetDeflection() [2/2]

static Standard_Real Prs3d::GetDeflection ( const Bnd_Box theBndBox,
const Standard_Real  theDeviationCoefficient,
const Standard_Real  theMaximalChordialDeviation 
)
inlinestatic

Computes the absolute deflection value based on relative deflection Prs3d_Drawer::DeviationCoefficient().

Parameters
theBndBox[in] bounding box
theDeviationCoefficient[in] relative deflection coefficient from Prs3d_Drawer::DeviationCoefficient()
theMaximalChordialDeviation[in] absolute deflection coefficient from Prs3d_Drawer::MaximalChordialDeviation()
Returns
absolute deflection coefficient based on bounding box dimensions or theMaximalChordialDeviation if bounding box is Void or Infinite

◆ MatchSegment()

static Standard_Boolean Prs3d::MatchSegment ( const Standard_Real  X,
const Standard_Real  Y,
const Standard_Real  Z,
const Standard_Real  aDistance,
const gp_Pnt p1,
const gp_Pnt p2,
Standard_Real dist 
)
static

draws an arrow at a given location, with respect to a given direction.

◆ PrimitivesFromPolylines()

static Handle< Graphic3d_ArrayOfPrimitives > Prs3d::PrimitivesFromPolylines ( const Prs3d_NListOfSequenceOfPnt thePoints)
static

Assembles array of primitives for sequence of polylines.

Parameters
thePoints[in] the polylines sequence
Returns
array of primitives

The documentation for this class was generated from the following file: